{% extends "base.html" %}
{% block content %}

<h4>Welcome to SB MACRO</h4>
<br>
<p class="flow-text">This program can be used to count the data present in one or multiple fiscal years in the NWCSC or SWCSC folders on ScienceBase.</p>
<p class="flow-text">Choose the center and fiscal year(s) in which you want the data counted:</p>
<div class="row">
    <div class="col s12 m6 l6">

        <div class="card blue-grey lighten-4">
            <div class="card-content">
                <span class="card-title">
                    <h4>Northwest CSC</h4>
                </span>
                <form action="count-data" method="post" name="FY-Select">
                    {% for title, ID in NWCSC_FYs_OrderedDict.items(): %}
                    <p>
                        <span class="black-text">
                            <input type="checkbox" id={{ID}} value="{{ID}}" name="checks" />
                            <label for={{ID}} class="black-text">{{title}}</label>
                        </span>
                    </p>

                    <!-- <label><input type="checkbox" value="{{ID}}" name="checks"> {{title}}</label><br> -->

                    {% endfor %}
            </div>
        </div>
    </div>
    <div class="col s12 m6 l6">

        <div class="card blue-grey lighten-4">
            <div class="card-content">
                <span class="card-title">
                    <h4>Southwest CSC</h4>
                </span>
                <form action="count-data" method="post" name="FY-Select">
                    {% for title, ID in SWCSC_FYs_OrderedDict.items(): %}
                    <p>
                        <span class="black-text">
                            <input type="checkbox" id={{ID}} value="{{ID}}" name="checks" />
                            <label for={{ID}} class="black-text">{{title}}</label>
                        </span>
                    </p>

                    <!-- <label><input type="checkbox" value="{{ID}}" name="checks"> {{title}}</label><br> -->

                    {% endfor %}
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class"col s6 m4 l4">
        <p>
            <input name="Excel-choice" type="radio" id="Excel1" value="Excel_for_each_FY"/>
            <label for="Excel1">Excel File for each Fiscal Year</label>
        </p>
    </div>
    <div class "col s6 m4 l4">
        <p>
            <input name="Excel-choice" type="radio" id="Excel2" value="One_Excel_for_all_FYs"  checked="checked"/>
            <label for="Excel2">Combine all reports into one file</label>
        </p>
    </div>
    <div class="col s2 m2 l2">
        <input class="btn waves-effect" type="submit" id="submit" value="Submit" onclick="loading();">
    </div>
</div>
<div class="row">
    <div class="col s12 m12 l12">
        <div class="card blue-grey darken-1">
            <div class="card-content white-text">
                <span class="card-title">Advanced: Hard Search</span>
                <p>sbMACRO performs all parsing at least once nightly and caches the results to be returned quickly to the user. If you don't want the cached results, you can have sbMACRO do a Hard Search and parse through ScienceBase.gov on command. Turn this option on if you want to do a Hard Search of ScienceBase. This is useful if you
                    know very recent changes occured and want them included in the results.
                    <br><strong><span class="red-text text-darken-4">Warning:</span></strong> Hard Searches take time. You may want to do something else while you wait, depending on your request. (For example, requests processing could take 5 minutes for a request of a single fiscal year, or parsing could take an hour for a large request spanning many fiscal years and Climate Science Centers).</p>
            </div>
            <div class="card-action">
                <!-- Switch -->
                <div class="switch">
                    <label>
                        <h6>Off
                        <input type="checkbox" name="HardSearch">
                        <span class="lever"></span>
                        On</h6>
                    </label>   
                </div>
            </div>
        </div>
    </div>
</div>
</form>

{% endblock %}
